#include <stdio.h>
#include <math.h>
#include "O4.h"

int main()
{
	FILE *dataNZ, *dataFZ, *dataIZ, *dataIZ2, *dataFull; 
	double t, x, y, z, m1, m2, b;
	long unsigned n,N;
	double dx;
	
	double IZdeterm_func,IZdeterm_func2,NZdeterm_func,FZdeterm_func,Fulldeterm_func;
	
	m1=0.50; m2=0.50; b=10.00;
	t=0.00; x=1.00; y=0.00; z=0.00;
	
	printf("m1=%g m2=%g b=%g  t=%g x=%g y=%g z=%g\n",
		   m1,m2,b,t,x,y,z);
	
	printf("FZ: %g %g %g %g  %g %g %g %g %g %g\n",
		   O4_h2PNDm_FZgtt(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgtx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgty(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgtz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgxx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgxy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgxz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgyy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgyz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_FZgzz(t,x,y,z, m1,m2,b));

	printf("NZ: %g %g %g %g  %g %g %g %g %g %g\n",
		   O4_h2PNDm_NZgtt(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgtx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgty(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgtz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgxx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgxy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgxz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgyy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgyz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_NZgzz(t,x,y,z, m1,m2,b));

	printf("IZ2: %g %g %g %g  %g %g %g %g %g %g\n",
		   O4_h2PNDm_IZ2gtt(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gtx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gty(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gtz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gxx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gxy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gxz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gyy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gyz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZ2gzz(t,x,y,z, m1,m2,b));
	
	
	printf("IZ: %g %g %g %g  %g %g %g %g %g %g\n",
		   O4_h2PNDm_IZgtt(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgtx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgty(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgtz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgxx(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgxy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgxz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgyy(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgyz(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_IZgzz(t,x,y,z, m1,m2,b));


	printf("oldIZ: %g %g %g %g  %g %g %g %g %g %g\n",
		   O4_h2PNDm_prematchIZgtt_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgtx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgty_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgtz_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgxx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgxy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgxz_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgyy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgyz_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_prematchIZgzz_func(t,x,y,z, m1,m2,b));

	printf("dTdt= %g  dTdx=%g dTdy=%g  dTdz=%g\n",
		   O4_h2PNDm_dTdt_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dTdx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dTdy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dTdz_func(t,x,y,z, m1,m2,b));

	printf("dXdt= %g  dXdx=%g dXdy=%g  dXdz=%g\n",
		   O4_h2PNDm_dXdt_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dXdx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dXdy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dXdz_func(t,x,y,z, m1,m2,b));

	printf("dYdt= %g  dYdx=%g dYdy=%g  dYdz=%g\n",
		   O4_h2PNDm_dYdt_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dYdx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dYdy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dYdz_func(t,x,y,z, m1,m2,b));

	printf("dZdt= %g  dZdx=%g dZdy=%g  dZdz=%g\n",
		   O4_h2PNDm_dZdt_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dZdx_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dZdy_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_dZdz_func(t,x,y,z, m1,m2,b));

	printf("X= %g  Y=%g Z=%g  T=%g\n",
		   O4_h2PNDm_X_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_Y_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_Z_func(t,x,y,z, m1,m2,b),
		   O4_h2PNDm_T_func(t,x,y,z, m1,m2,b));

		
	dataIZ2 = fopen("IZ2det.dat","w");   	
	dataIZ = fopen("IZdet.dat","w");   
	dataNZ = fopen("NZdet.dat","w");   
	dataFZ = fopen("FZdet.dat","w");   	
	dataFull = fopen("Fulldet.dat","w");   	
	
	N = 500;
	for (n=0;n<=N;n++)
		{	
			dx = -50 + n/(5.0);
			
			IZdeterm_func2 = O4_h2PNDm_IZ2gtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gzz(t,dx,y,z, m1,m2,b) 
			- O4_h2PNDm_IZ2gtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b) 
			+ 2*O4_h2PNDm_IZ2gtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZ2gtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gzz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZ2gtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gzz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZ2gtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZ2gxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZ2gty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZ2gxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZ2gtz(t,dx,y,z, m1,m2,b);			
			
			IZdeterm_func = O4_h2PNDm_IZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgzz(t,dx,y,z, m1,m2,b) 
			- O4_h2PNDm_IZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b) 
			+ 2*O4_h2PNDm_IZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgzz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgzz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_IZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_IZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_IZgtz(t,dx,y,z, m1,m2,b);
			
			NZdeterm_func = O4_h2PNDm_NZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgzz(t,dx,y,z, m1,m2,b) 
							- O4_h2PNDm_NZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b) 
							+ 2*O4_h2PNDm_NZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_NZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgzz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_NZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgzz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgzz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_NZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_NZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgzz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_NZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_NZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_NZgtz(t,dx,y,z, m1,m2,b);
			
			FZdeterm_func = O4_h2PNDm_FZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgzz(t,dx,y,z, m1,m2,b) 
							- O4_h2PNDm_FZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b) 
							+ 2*O4_h2PNDm_FZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_FZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgzz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_FZgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgzz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgzz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_FZgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)
							+ 2*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_FZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgzz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)
							- 2*O4_h2PNDm_FZgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)
							- O4_h2PNDm_FZgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)
							+ O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_FZgtz(t,dx,y,z, m1,m2,b);

			Fulldeterm_func = O4_h2PNDm_Fullgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgzz(t,dx,y,z, m1,m2,b) 
			- O4_h2PNDm_Fullgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b) 
			+ 2*O4_h2PNDm_Fullgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_Fullgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgzz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_Fullgtt(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgzz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_Fullgtx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)
			+ 2*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_Fullgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgzz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)
			- 2*O4_h2PNDm_Fullgty(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)
			- O4_h2PNDm_Fullgxx(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgyy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)
			+ O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgxy(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b)*O4_h2PNDm_Fullgtz(t,dx,y,z, m1,m2,b);
			
			 if(-IZdeterm_func2>0) fprintf(dataIZ2, "%4.16e  %4.16e\n", dx,sqrt(-IZdeterm_func2));				
			 if(-IZdeterm_func>0) fprintf(dataIZ, "%4.16e  %4.16e\n", dx,sqrt(-IZdeterm_func));	  
			 if(-NZdeterm_func>0) fprintf(dataNZ, "%4.16e  %4.16e\n", dx,sqrt(-NZdeterm_func));	  
			 if(-FZdeterm_func>0) fprintf(dataFZ, "%4.16e  %4.16e\n", dx,sqrt(-FZdeterm_func));	 						
			 if(-Fulldeterm_func>0) fprintf(dataFull, "%4.16e  %4.16e\n", dx,sqrt(-Fulldeterm_func));								
	
			if(n == (int)floor(N/5.)) printf("  20%% done\n");
			if(n == (int)floor(2.*N/5.)) printf("  40%% done\n");
			if(n == (int)floor(3.*N/5.)) printf("  60%% done\n");
			if(n == (int)floor(4.*N/5.)) printf("  80%% done\n");
			if(n == N-1) printf("  100%% done\n\n");
		} 

	fclose(dataIZ2);	
	fclose(dataIZ);
	fclose(dataNZ);		
	fclose(dataFZ);		
	fclose(dataFull);
	
  return 0;
}















